[ANN] Apache Batik 1.9 Released

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

[ANN] Apache Batik 1.9 Released

Simon Steiner

 

The Apache XML Graphics team is pleased to announce the availability of

Apache Batik 1.9.

 

Batik [1] is a Java-based toolkit for applications or applets that want to

use images in the Scalable Vector Graphics (SVG) format for various

purposes, such as display, generation or manipulation.

 

This is mainly a bug fix release.

 

To download visit the Batik Download [2] page.

 

The Apache XML Graphics team

 

[1] http://xmlgraphics.apache.org/batik/

[2] http://xmlgraphics.apache.org/batik/download.html

Reply | Threaded
Open this post in threaded view
|

Re: [ANN] Apache Batik 1.9 Released

Jon Wu
Thanks for the new release!

I'm having trouble resolving batik 1.9 with SBT.

I don't know much about Maven publishing, but it looks like the pom file for 1.9 has unresolved variables like ${jar.version} and ${basedir}, and it looks very different from the pom for 1.8.

Examples with batik-rasterizer:

Is anybody else having problems? Am I doing something wrong? I just changed my 1.8 to 1.9 in build.sbt, and everything was working before.

On Mon, Apr 10, 2017 at 7:32 AM Simon Steiner <[hidden email]> wrote:

 

The Apache XML Graphics team is pleased to announce the availability of

Apache Batik 1.9.

 

Batik [1] is a Java-based toolkit for applications or applets that want to

use images in the Scalable Vector Graphics (SVG) format for various

purposes, such as display, generation or manipulation.

 

This is mainly a bug fix release.

 

To download visit the Batik Download [2] page.

 

The Apache XML Graphics team

 

[1] http://xmlgraphics.apache.org/batik/

[2] http://xmlgraphics.apache.org/batik/download.html

Reply | Threaded
Open this post in threaded view
|

RE: [ANN] Apache Batik 1.9 Released

Simon Steiner

Hi,

 

I have updated pom’s to match 1.8 style, may take some time for change to replicate.

 

https://repository.apache.org/index.html#nexus-search;gav~org.apache.xmlgraphics~batik*~1.9~~

 

Thanks

 

From: Jon Wu [mailto:[hidden email]]
Sent: 11 April 2017 01:29
To: [hidden email]; [hidden email]; [hidden email]
Subject: Re: [ANN] Apache Batik 1.9 Released

 

Thanks for the new release!

 

I'm having trouble resolving batik 1.9 with SBT.

 

I don't know much about Maven publishing, but it looks like the pom file for 1.9 has unresolved variables like ${jar.version} and ${basedir}, and it looks very different from the pom for 1.8.

 

Examples with batik-rasterizer:

 

Is anybody else having problems? Am I doing something wrong? I just changed my 1.8 to 1.9 in build.sbt, and everything was working before.

 

On Mon, Apr 10, 2017 at 7:32 AM Simon Steiner <[hidden email]> wrote:

 

The Apache XML Graphics team is pleased to announce the availability of

Apache Batik 1.9.

 

Batik [1] is a Java-based toolkit for applications or applets that want to

use images in the Scalable Vector Graphics (SVG) format for various

purposes, such as display, generation or manipulation.

 

This is mainly a bug fix release.

 

To download visit the Batik Download [2] page.

 

The Apache XML Graphics team

 

[1] http://xmlgraphics.apache.org/batik/

[2] http://xmlgraphics.apache.org/batik/download.html

Reply | Threaded
Open this post in threaded view
|

Re: [ANN] Apache Batik 1.9 Released

Erik Ogan
In reply to this post by Simon Steiner
Thank you for your hard work on the latest release.

I am having trouble resolving Batik 1.9 (as a dependency of FOP 2.2)
in a gradle project (via Maven):

> Could not resolve org.apache.xmlgraphics:batik-svg-dom:1.9.
  Required by:
      project : > org.apache.xmlgraphics:fop:2.2
   > Could not resolve org.apache.xmlgraphics:batik-svg-dom:1.9.
      > Could not parse POM
https://jcenter.bintray.com/org/apache/xmlgraphics/batik-svg-dom/1.9/batik-svg-dom-1.9.pom
         > Could not find org.apache.xmlgraphics:batik:1.9.
           Searched in the following locations:
               https://jcenter.bintray.com/org/apache/xmlgraphics/batik/1.9/batik-1.9.pom
               https://jcenter.bintray.com/org/apache/xmlgraphics/batik/1.9/batik-1.9.jar
               https://jitpack.io/org/apache/xmlgraphics/batik/1.9/batik-1.9.pom
               https://jitpack.io/org/apache/xmlgraphics/batik/1.9/batik-1.9.jar
[…]

This looks to my (admittedly untrained) eye like batik-svg-dom depends
on a non-existent (or no longer existent?) top-level batik project.

Is there something I’m doing wrong? Should I point at a different mvn
repository, perhaps?

-e

--
Erik Ogan
[hidden email]
415.BE.MESSY

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [ANN] Apache Batik 1.9 Released

Erik Ogan
Of course I managed to answer my own question within the question itself.

Posting it here in case someone else ends up in the same state:

Adding the following repository directive allowed gradle to find
everything it needed:

    maven { url 'https://repo1.maven.org/maven2' }

Thanks!

-e

On Sat, Apr 15, 2017 at 8:09 AM, Erik Ogan <[hidden email]> wrote:

> Thank you for your hard work on the latest release.
>
> I am having trouble resolving Batik 1.9 (as a dependency of FOP 2.2)
> in a gradle project (via Maven):
>
>> Could not resolve org.apache.xmlgraphics:batik-svg-dom:1.9.
>   Required by:
>       project : > org.apache.xmlgraphics:fop:2.2
>    > Could not resolve org.apache.xmlgraphics:batik-svg-dom:1.9.
>       > Could not parse POM
> https://jcenter.bintray.com/org/apache/xmlgraphics/batik-svg-dom/1.9/batik-svg-dom-1.9.pom
>          > Could not find org.apache.xmlgraphics:batik:1.9.
>            Searched in the following locations:
>                https://jcenter.bintray.com/org/apache/xmlgraphics/batik/1.9/batik-1.9.pom
>                https://jcenter.bintray.com/org/apache/xmlgraphics/batik/1.9/batik-1.9.jar
>                https://jitpack.io/org/apache/xmlgraphics/batik/1.9/batik-1.9.pom
>                https://jitpack.io/org/apache/xmlgraphics/batik/1.9/batik-1.9.jar
> […]
>
> This looks to my (admittedly untrained) eye like batik-svg-dom depends
> on a non-existent (or no longer existent?) top-level batik project.
>
> Is there something I’m doing wrong? Should I point at a different mvn
> repository, perhaps?
>
> -e
>
> --
> Erik Ogan
> [hidden email]
> 415.BE.MESSY



--
Erik Ogan
[hidden email]
415.BE.MESSY

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]